leap-seconds.list file expires 28 June 2017

Bug #1696298 reported by Ryan Kingsbury on 2017-06-07
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
tzdata (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

The currently published tzdata package for supported distributions contains a leap-seconds.list file that expires on 28 June 2017 and that was based on data available up through IERS Bulletin C52.

IERS Bulletin C53 was published on Jan 9 2017 confirming that a June 30 2017 would not be issued. I'm not sure what serves as the upstream data source for this package, but both IEFT and the eggertz tz repo have a leap-seconds.list file that incorporates Bulletin C53.

https://www.ietf.org/timezones/data/leap-seconds.list
https://github.com/eggert/tz/blob/master/leap-seconds.list

Would it be possible to get the package updated to include these more recent files? Some applications make use of the expiration data in this file and will raise exceptions to the user if it has gone stale.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in tzdata (Ubuntu):
status: New → Confirmed

Hello Ryan, or anyone else affected,

Accepted tzdata into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2017c-0ubuntu0.14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed verification-needed-trusty
Changed in tzdata (Ubuntu):
status: Confirmed → Fix Released
Changed in tzdata (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Adam Conrad (adconrad) wrote :

Hello Ryan, or anyone else affected,

Accepted tzdata into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2017c-0ubuntu0.16.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed-zesty
Adam Conrad (adconrad) wrote :

Hello Ryan, or anyone else affected,

Accepted tzdata into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2017c-0ubuntu0.17.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tzdata (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed-artful
Adam Conrad (adconrad) wrote :

Hello Ryan, or anyone else affected,

Accepted tzdata into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tzdata/2017c-0ubuntu0.17.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Ryan Curtis (rmcurtis) wrote :

I installed tzdata version 2017c-0ubuntu0.14.04 from launchpad and I now have an up-to-date leap-seconds.list, updated to IERS bulletin C54.

Thanks.

tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2017c-0ubuntu0.14.04

---------------
tzdata (2017c-0ubuntu0.14.04) trusty; urgency=medium

  * New upstream release (LP: #1712675, #1696298, #1691092, #1676117)

 -- Adam Conrad <email address hidden> Thu, 09 Nov 2017 15:57:23 -0700

Changed in tzdata (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for tzdata has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2017c-0ubuntu0.16.04

---------------
tzdata (2017c-0ubuntu0.16.04) xenial; urgency=medium

  * New upstream release (LP: #1712675, #1696298, #1691092)

 -- Adam Conrad <email address hidden> Thu, 09 Nov 2017 15:57:23 -0700

Changed in tzdata (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2017c-0ubuntu0.17.04

---------------
tzdata (2017c-0ubuntu0.17.04) zesty; urgency=medium

  * New upstream release (LP: #1712675, #1696298, #1691092)

 -- Adam Conrad <email address hidden> Thu, 09 Nov 2017 15:57:23 -0700

Changed in tzdata (Ubuntu Zesty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2017c-0ubuntu0.17.10

---------------
tzdata (2017c-0ubuntu0.17.10) artful; urgency=medium

  * New upstream release (LP: #1712675, #1696298, #1691092)

 -- Adam Conrad <email address hidden> Thu, 09 Nov 2017 15:57:23 -0700

Changed in tzdata (Ubuntu Artful):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions